com.independentsoft.exchange

## Class SearchableMailbox

- java.lang.Object
- - com.independentsoft.exchange.SearchableMailbox

-     public class SearchableMailbox
      extends java.lang.Object

  The Class SearchableMailbox.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchableMailbox()` Instantiates a new searchable mailbox.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDisplayName()` Gets the display name.
    `java.lang.String` | `getExternalEmailAddress()` Gets the external email address.
    `java.lang.String` | `getGuid()` Gets the guid.
    `java.lang.String` | `getPrimarySmtpAddress()` Gets the primary smtp address.
    `java.lang.String` | `getReferenceId()` Gets the reference id.
    `boolean` | `isExternalMailbox()` Checks if is external mailbox.
    `boolean` | `isMembershipGroup()` Checks if is membership group.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchableMailbox

          public SearchableMailbox()

      Instantiates a new searchable mailbox.

  - ### Method Detail

    - #### getGuid

          public java.lang.String getGuid()

      Gets the guid.
      Returns:
        the guid

    - #### getPrimarySmtpAddress

          public java.lang.String getPrimarySmtpAddress()

      Gets the primary smtp address.
      Returns:
        the primary smtp address

    - #### isExternalMailbox

          public boolean isExternalMailbox()

      Checks if is external mailbox.
      Returns:
        true, if is external mailbox

    - #### getExternalEmailAddress

          public java.lang.String getExternalEmailAddress()

      Gets the external email address.
      Returns:
        the external email address

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the display name.
      Returns:
        the display name

    - #### isMembershipGroup

          public boolean isMembershipGroup()

      Checks if is membership group.
      Returns:
        true, if is membership group

    - #### getReferenceId

          public java.lang.String getReferenceId()

      Gets the reference id.
      Returns:
        the reference id